Skip to main content
POST
/
api
/
v1
/
accounts
Create account
curl --request POST \
  --url https://shelfforce.ai/api/v1/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "brand",
  "contactName": "<string>",
  "contactEmail": "jsmith@example.com",
  "contactPhone": "<string>",
  "website": "<string>",
  "notes": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "type": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key with sf_live_ prefix. Pass as Authorization: Bearer sf_live_...

Headers

Idempotency-Key
string

Unique key for idempotent requests. If a request with the same key was already processed within the last 24 hours, the cached response is returned with X-Idempotent-Replayed: true.

Example:

"idk_550e8400-e29b-41d4-a716-446655440000"

Body

application/json
name
string
required
type
enum<string>
required
Available options:
brand,
supplier,
distributor,
manufacturer,
retailer,
partner
contactName
string
contactEmail
string<email>
contactPhone
string
website
string<uri>
notes
string

Response

Account created.

data
object